package domain


type AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto struct {
    /*
        核销说明, 核销失败则填写核销失败原因     */
    Remark  *string `json:"remark,omitempty" `

    /*
        核销时间 YYYY-MM-DD HH:MI:SS     */
    VerificateTime  *string `json:"verificate_time,omitempty" `

    /*
        核销状态 1=核销完成 2=核销失败     */
    VerificateStatus  *int64 `json:"verificate_status,omitempty" `

    /*
        核销账单类型  1=正向 / 2=逆向     */
    BillType  *int64 `json:"bill_type,omitempty" `

    /*
        核销账单ID     */
    BillOrderId  *string `json:"bill_order_id,omitempty" `

    /*
        业务经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

}

func (s *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto) SetRemark(v string) *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto {
    s.Remark = &v
    return s
}
func (s *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto) SetVerificateTime(v string) *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto {
    s.VerificateTime = &v
    return s
}
func (s *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto) SetVerificateStatus(v int64) *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto {
    s.VerificateStatus = &v
    return s
}
func (s *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto) SetBillType(v int64) *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto {
    s.BillType = &v
    return s
}
func (s *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto) SetBillOrderId(v string) *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto {
    s.BillOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto) SetStoreId(v string) *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto {
    s.StoreId = &v
    return s
}
func (s *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto) SetMerchantCode(v string) *AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto {
    s.MerchantCode = &v
    return s
}
